package org.eco.als.domain.bo;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.common.orm.core.domain.BaseEntity;

/**
 * 模型信息业务对象 als_model_t
 *
 * @author wgk
 * @date 2024-07-22
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class AlgorithmBo extends BaseEntity {
    /**
     * 模型Id
     */
    @NotNull(message = "模型Id不能为空")
    private Long modelId;

    /**
     * 数据Id
     */
    @NotNull(message = "模型Id不能为空")
    private Long dataId;

    /**
     * 模型链接
     */
    @NotBlank(message = "模型链接不能为空")
    private String url;

    /**
     * 参数
     */
    @NotBlank(message = "模型参数不能为空")
    private String param;

    /**
     * 数据列
     */
    @NotBlank(message = "数据列不能为空")
    private String columnData;


}
